## GdauiForm

GdauiForm — Form widget to manipulate data in a GdaDataModel, with decorations

## Stability Level

Stable, unless otherwise indicated

## Functions

GtkWidget * | gdaui_form_new ()

## Types and Values

struct | GdauiForm

## Object Hierarchy

## Description

## Functions

### gdaui_form_new ()

    GtkWidget *
    gdaui_form_new (GdaDataModel *model);

Creates a new GdauiForm widget suitable to display the data in `model`

#### Parameters

model | a GdaDataModel |

#### Returns

the new widget.

[transfer full]

Since 4.2

## Types and Values

### struct GdauiForm

    struct GdauiForm {
    	GtkBox             object;

    	GdauiFormPriv     *priv;
    };

## See Also

The GdauiRawForm widget which is used by the GdaForm widget.